## zowe › omview › search › index › names

Search cross-report index names in a repository.
Use the returned 'IndexNameHandle' to reference a cross-report index name.
For example, use the 'IndexNameHandle' in the 'search index values' command to retrieve the list of index values for that cross-report index.

#### Usage

zowe omview search index names <repositoryId> [options]

#### Positional Arguments

- `repositoryId` (number)

  - Repository identifier.

#### Options

- `--filter-reports` | `--reports` (string)

  - Filter (include) based on report names (IDs). Use the asterisk (*) as a wildcard to represent any number of characters.

    Default value: *

- `--filter-names` | `--names` (string)

  - Filter (include) based on index name. Separate multiple index names with commas. Use the asterisk (*) as a wildcard to represent any number of characters.

    Default value: *,*,*,*,*,*,*,*

- `--latest-versions` | `--latest-version` | `--lv` (number)

  - Number of latest versions (of reports) to include. If not specified, all versions of reports are included.

    Default value: 0

- `--archival-since` | `--since` | `--archival-from` | `--from` (string)

  - Date of earliest archived reports to include based on archival date. Specify a value in the ISO-8601 format.

- `--archival-until` | `--until` | `--archival-to` | `--to` (string)

  - Date of latest archived reports to include based on archival date. Specify a value in the ISO-8601 format.

- `--online-only` | `--online` (boolean)

  - Include only those reports that are available online.

    Default value: true

- `--output-format` | `--output` (string)

  - Output format. This option is ignored if '--response-format-json' is specified.

    Default value: tabular
    Allowed values: tabular, csv, json, xml

- `--output-header` | `--header` (boolean)

  - Include header with field names in the output when you specify 'tabular' or 'csv' for the output format.
    This option is ignored when you specify any other output format.

    Default value: true

- `--output-field` | `-f` (array)

  - Field to include in the output. Multiple fields can be specified. Fields appear in the order you specify.

    Default value: Index,SubIndexNames,IndexNameHandle
    Allowed values: Index, SubIndexNames, IndexNameHandle

#### OM Web Viewer Connection Options

- `--host` | `--hostname` (string)

  - Hostname or ip address of the target OM Web Viewer instance.

- `--port` (number)

  - Port of the target OM Web Viewer instance.

    Default value: 443

- `--user` | `--username` (string)

  - User name used to authenticate against the target OM Web Viewer instance.

- `--password` (string)

  - Password used to authenticate against the target OM Web Viewer instance.

- `--base-path` (string)

  - Context name of the target OM Web Viewer instance.

    Default value: web-viewer

- `--protocol` (string)

  - Protocol of the target OM Web Viewer instance.

    Default value: https
    Allowed values: http, https

#### Profile Options

- `--omview-profile` | `--omview-p` (string)

  - The name of a (omview) profile to load for this command execution.

- `--caview-profile` | `--caview-p` (string)

  - The name of a (caview) profile to load for this command execution.

- `--base-profile` | `--base-p` (string)

  - The name of a (base) profile to load for this command execution.

#### Base Connection Options

- `--reject-unauthorized` | `--ru` (boolean)

  - Reject self-signed certificates.

    Default value: true

- `--token-type` | `--tt` (string)

  - The type of token to get and use for the API. Omit this option to use the default token type, which is provided by 'zowe auth login'.

- `--token-value` | `--tv` (string)

  - The value of the token to pass to the API.

- `--cert-file` (local file path)

  - The file path to a certificate file to use for authentication.

    Note: The CLI does not support certificate files that require a password. For more information, search Troubleshooting PEM Certificates in Zowe Docs.

- `--cert-key-file` (local file path)

  - The file path to a certificate key file to use for authentication